import { Request, Response } from 'express';
import * as path from 'path';
import * as fs from 'fs';
import { BSON } from 'bson';
import { rootPath } from './global';

const payloadCache = new Map<string, any>();

export async function saveView(req: Request, res: Response) {
    try {
        const { file, payload } = req.body;
        if (!payloadCache.has(file)) {
            payloadCache.set(file, payload);
        }

        const originPayload = payloadCache.get(file);
        Object.assign(originPayload, payload);

        const savePath = path.join(rootPath, file);
        const buffer = BSON.serialize(originPayload);
        fs.writeFileSync(savePath, buffer);
        res.send('success');
    } catch (error) {
        console.log('error happen in /save-view, ' + error);
        res.send('error');
    }
}